div(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-workflow-list-header((refresh)="onRefresh()", (addItem)="onAddItem()", (openImportModal)="openImportModal()")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-workflow-list-filter([filter]="filter$ | async", (filterChange)="onFilterChange($event)")

div.mt1(nz-row)
  div(nz-col, [nzSpan]="24")
    ryax-workflow-list-table([loading]="loading$ | async", [items]="workflows$ | async", [itemTemplate]="tableItem")

ryax-workflow-delete-modal([visible]="deleteModalVisible$ | async", [workflow]="selectedWorkflow$ | async",
  (valid)="validateDeleteWorkflow($event)", (cancel)="cancelDeleteWorkflow()")

ryax-workflow-import-modal([loading]="importLoading$ | async", [visible]="importModalVisible$ | async",
  (import)="onImport($event)", (cancel)="cancelWorkflowImport()")

ryax-workflow-import-success-modal([visible]="importSuccessModalVisible$ | async", [workflowId]="importedWorkflowId$ | async",
  (valid)="validateImportSuccessModal($event)", (cancel)="cancelImportSuccessModal()")

ryax-workflow-import-error-modal([loading]="retryImportLoading$ | async", [visible]="importErrorModalVisible$ | async", [error]="importErrorMessage$ | async",
  (openImportModal)="openImportModal()", (cancel)="cancelImportErrorModal()")

ng-template(#tableItem, let-workflow)
  tr.ant-table-row(ryax-workflow-list-table-row, [workflow]="workflow", [workflowPortals]="getWorkflowPortals$(workflow.id) | async",
    (loadWorkflowPortals)="onLoadWorkflowPortals($event)",
    (copyWorkflow)="onCopyWorkflow($event)", (editWorkflow)="onEditWorkflow($event)",
    (deployWorkflow)="onDeployWorkflow($event)", (stopWorkflow)="onStopWorkflow($event)",
    (showDeleteModal)="showDeleteModal($event)", [routerLink]="workflow.id")
